/* Configuration file for imagescure.
 *
 * Read the comments and edit the values to fit your needs.
 * I have tried to make the comments self-explanatory...
 */


/* General behavior settings
 * -------------------------
 */

/* Output method
 * - into a file - specify file name in "", for example "out.png"
 * - to standard output - "stdout"
 * - from command line - specify as NULL 
 */
#define OUTPUT			"out.png"
/* Compression level - values are according to lib.h:
 * Z_NO_COMPRESSION		no compression (fastest)
 * Z_BEST_SPEED			fast compression
 * Z_BEST_COMPRESSION		best compression
 * Z_DEFAULT_COMPRESSION	zlib default (preferred ?)
 * or, simply, a value between 1 and 9
 */
#define COMPRESSION		Z_DEFAULT_COMPRESSION
/* Outside color */
#define OUTSIDE_COLOR		0xffffff

/* General image settings
 * ----------------------
 */

/* Original image size. */
#define ORIGINAL_WIDTH		178
#define ORIGINAL_HEIGHT		82

/* Resulted image size
 *
 * Should be greather than the original in both directions. The differences are
 * further calculated for amplitudes. For your convenience, there are two
 * methods - absolute and relative values.
 * The final png image is scaled down by 2.
 */
#if 1
#define RESULT_WIDTH		220
#define RESULT_HEIGHT		114
#else
#define RESULT_WIDTH		(ORIGINAL_WIDTH +42)
#define RESULT_HEIGHT		(ORIGINAL_HEIGHT +32)
#endif

/* Downscaling - makes the final image antializased.
 * 1 to enable, 0 to disable */
#define SCALE			1

/* Obscuring methods
 * -----------------
 */

/* Curving method - set to 1 to enable, 0 to disable. */
#define CURVING			0
/* Wave length bounds relative to original size
 * (reasonal values are 1.0..3.0) */
#define FREQ_X_MIN		0.7
#define FREQ_X_MAX		1.6
#define FREQ_Y_MIN		0.7
#define FREQ_Y_MAX		1.6

/* Distupting method - set to 1 to enable, 0 to disable. */
#define DISRUPTING		1
/* Color treshold - in the range 0..128 */
#define TRESHOLD		0x25
/* Disrupting colors in rgb format */
#define COLOR1			0xffffff
#define COLOR2			0x000000

